[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [virt-tools-list] [virt-manager PATCH] Fix tests that fail due to default graphics change



On 07/17/2013 03:20 PM, Cole Robinson wrote:
> On 07/17/2013 02:17 AM, Martin Kletzander wrote:
>> As pointed out, the tests were configuration-dependent and thus might
>> have failed in case './setup.py configure' was run with non-default
>> graphics.  The default graphics has changed as well and that lead to
>> test disaster.  Reverting first hunk of commit b8a209ef and making the
>> tests independent of default graphics configuration makes all the
>> failures go away.
>> ---
>>  tests/__init__.py    | 3 +++
>>  virtcli/cliconfig.py | 2 +-
>>  2 files changed, 4 insertions(+), 1 deletion(-)
>>
>> diff --git a/tests/__init__.py b/tests/__init__.py
>> index 6a1351c..7cb43ca 100644
>> --- a/tests/__init__.py
>> +++ b/tests/__init__.py
>> @@ -22,6 +22,9 @@ os.environ["VIRTINST_TEST_TRACKPROPS"] = "1"
>>  import virtinst
>>  virtinst.enable_rhel_defaults = False
>>
>> +from virtcli import cliconfig
>> +cliconfig.default_graphics = "vnc"
>> +
>>  from tests import utils
>>
>>  # pylint: disable=W0212
>> diff --git a/virtcli/cliconfig.py b/virtcli/cliconfig.py
>> index ce43b3c..3edb964 100644
>> --- a/virtcli/cliconfig.py
>> +++ b/virtcli/cliconfig.py
>> @@ -84,4 +84,4 @@ preferred_distros = _split_list(_get_param("preferred_distros", ""))
>>  hv_packages = _split_list(_get_param("hv_packages", ""))
>>  askpass_package = _split_list(_get_param("askpass_packages", ""))
>>  libvirt_packages = _split_list(_get_param("libvirt_packages", ""))
>> -default_graphics = _get_param("default_graphics", "spice")
>> +default_graphics = _get_param("default_graphics", "vnc")
>>
> 
> ACK, please push.
> 

Done, thanks.

> However I think there's more to this. Defaulting to spice also seems to
> default to qxl, etc. I don't know how windows handles that out of the box if
> no explicit qxl driver is installed. We could do spice unconditonally and only
> use qxl for supported OS but then we hit the perennial problem of spice +
> non-qxl having weird issues.
> 
> Maybe we should drop the explicit vnc/spice default configure option, and just
> map it to 'does this OS support qxl' or something. Someone needs to play with it.
> 

I installed windows on SPICE+QXL machine without any additional drivers
and it works.  I wouldn't be worried about that.  Looking at the distros
in osdict.py most of the distros have that drivers already and if they
don't, I guess it will work anyway (looking at the beforehand mentioned
windows), so I don't think there will be much noise about that.

Martin


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]